<?php

namespace Modules\User\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Modules\Area\Models\Area;
use Modules\City\Models\City;
use Modules\Country\Models\Country;
use Modules\Region\Models\Region;

class Address extends Model
{
    use SoftDeletes;

    protected $fillable = ['name','user_status','address','latitude','longitude','area_id','city_id','user_id','phone'];

    public function region()
    {
        return $this->belongsTo(Region::class)->withTrashed();
    }
    public function area()
    {
        return $this->belongsTo(Area::class)->withTrashed();
    }
    public function city()
    {
        return $this->belongsTo(City::class)->withTrashed();
    }
}
